variable "aws_access_key" {
}
variable "aws_secret_key" {
}
variable "region" {
}

# to make this module work we need to re-declare a aws provider here, otherwise it will attempt to instaniate a new one
provider "aws" {
  access_key = "${var.aws_access_key}"
  secret_key = "${var.aws_secret_key}"
  region = "${var.region}"
}

# import module 3, it will inherit our aws provider (if we declared one)
module "mod3" {
  source = "../mod3"

  aws_access_key = "${var.aws_access_key}"
  aws_secret_key = "${var.aws_secret_key}"
  region = "${var.region}"
}

resource "aws_instance" "repro" {
  ami = "ami-408c7f28"
  instance_type = "t1.micro"
  tags {
    Name = "TerraformBugReproInstance"
  }
}
